> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Entity Futures Sweeps

> Retrieve fcm sweeps in open status, including pending and processing sweeps.

### Pending vs. Processing Sweeps

* A pending sweep is a sweep that has not started processing and can be cancelled
* A processing sweep is a sweep that is currently being processed and cannot be cancelled

Once a sweep is complete, it no longer appears in the list of sweeps.


## OpenAPI

````yaml GET /v1/entities/{entity_id}/futures/sweeps
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/futures/sweeps:
    get:
      tags:
        - Futures
      summary: List Entity Futures Sweeps
      description: >-
        Retrieve fcm sweeps in open status, including pending and processing
        sweeps.
      operationId: PrimeRESTAPI_GetFuturesSweeps
      parameters:
        - name: entity_id
          in: path
          description: Entity ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetFuturesSweepsResponse
components:
  schemas:
    coinbase.public_rest_api.GetFuturesSweepsResponse:
      type: object
      properties:
        sweeps:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.FcmFuturesSweep'
        auto_sweep:
          type: boolean
    coinbase.public_rest_api.FcmFuturesSweep:
      type: object
      properties:
        id:
          type: string
          description: Sweep ID
          example: 00000000-0000-0000-0000-000000000000
        requested_amount:
          $ref: >-
            #/components/schemas/coinbase.public_rest_api.FcmFuturesSweep.RequestAmount
        should_sweep_all:
          type: boolean
          description: Should sweep all
          example: true
        status:
          $ref: '#/components/schemas/coinbase.public_rest_api.FcmFuturesSweepStatus'
        scheduled_time:
          type: string
          description: Scheduled time
          format: date-time
          example: '2021-01-01T00:00:00.000Z'
    coinbase.public_rest_api.FcmFuturesSweep.RequestAmount:
      type: object
      properties:
        currency:
          type: string
          description: Currency
          example: USD
        amount:
          type: string
          description: Amount
          example: '1000.00'
    coinbase.public_rest_api.FcmFuturesSweepStatus:
      type: string
      default: FCM_FUTURES_SWEEP_STATUS_UNSPECIFIED
      enum:
        - FCM_FUTURES_SWEEP_STATUS_UNSPECIFIED
        - FCM_FUTURES_SWEEP_STATUS_PENDING
        - FCM_FUTURES_SWEEP_STATUS_CLOSED
        - FCM_FUTURES_SWEEP_STATUS_CANCELED
        - FCM_FUTURES_SWEEP_STATUS_PROCESSING

````